## syncmaildir 0.9.5

=== Makefile ===
PROJECTNAME=syncmaildir
BINARIES=mddiff
MANPAGES=mddiff.1 smd-server.1 smd-client.1 smd-pull.1 smd-push.1
HTML=index.html design.html
PREFIX=usr/local
DESTDIR=
VERSION=0.9.5

all: check-build $(BINARIES) 

%: %.c
	gcc -Wall -Wextra -g $< -o $@ \
		`pkg-config --cflags --libs glib-2.0` \
		`libgcrypt-config --cflags --libs`	

check-build: check-w-gcc
check-run: check-w-lua5.1 check-w-bash 

check-w-%:
	@which $* > /dev/null || echo $* not found

test: all check-run misc/Mail.testcase.tgz
	@tests.d/test.sh $T
	@tests.d/check.sh
	@rm -rf test.[0-9]*/

misc/Mail.testcase.tgz: 
	$(MAKE) check-w-polygen
	mkdir -p Mail/cur
	for i in `seq 100`; do \
		echo "Subject: `polygen /usr/share/polygen/eng/manager.grm`"\
			>> Mail/cur/$$i; \
		echo "Message-Id: $$i" >> Mail/cur/$$i; \
		echo >> Mail/cur/$$i;\
		polygen -X 10 /usr/share/polygen/eng/manager.grm\
	       		>> Mail/cur/$$i;\
	done
	tar -czf $@ Mail
	rm -rf Mail

%.1:%.1.txt check-w-txt2man
	txt2man -t $* -v "Sync Mail Dir (smd) documentation" -s 1 $< > $@

define install-replacing
	sed 's?@PREFIX@?/$(PREFIX)?' $(1) > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
	if [ $(2) = "bin" ]; then chmod a+rx $(DESTDIR)/$(PREFIX)/$(2)/$(1); fi
endef

define mkdir-p
	mkdir -p $(DESTDIR)/$(PREFIX)/$(1)
endef

install: $(BINARIES) $(MANPAGES)
	$(call mkdir-p,bin)
	$(call mkdir-p,share/$(PROJECTNAME))
	$(call mkdir-p,share/lua/5.1)
	$(call mkdir-p,share/man/man1)
	cp $(BINARIES) $(DESTDIR)/$(PREFIX)/bin
	$(call install-replacing,smd-server,bin)
	$(call install-replacing,smd-client,bin)
	$(call install-replacing,smd-pull,bin)
	$(call install-replacing,smd-push,bin)
	$(call install-replacing,smd-common,share/$(PROJECTNAME))
	$(call install-replacing,syncmaildir.lua,share/lua/5.1)
	cp $(MANPAGES) $(DESTDIR)/$(PREFIX)/share/man/man1

clean: 
	rm -rf $(BINARIES) $(MANPAGES)
	rm -rf test.[0-9]*/ 
	rm -rf $(PROJECTNAME)-$(VERSION)/ $(PROJECTNAME)-$(VERSION).tar.gz
	rm -f $(HTML)

dist $(PROJECTNAME)-$(VERSION).tar.gz:
	$(MAKE) clean
	mkdir $(PROJECTNAME)-$(VERSION)
	for X in *; do if [ $$X != $(PROJECTNAME)-$(VERSION) ]; then \
		cp -r $$X $(PROJECTNAME)-$(VERSION); fi; done;
	tar -cvzf $(PROJECTNAME)-$(VERSION).tar.gz $(PROJECTNAME)-$(VERSION)
	rm -rf $(PROJECTNAME)-$(VERSION)

$(HTML): check-w-markdown
	cat misc/head.html > index.html
	markdown README >> index.html
	cat misc/tail.html >> index.html
	cat misc/head.html > design.html
	markdown DESIGN >> design.html
	cat misc/tail.html >> design.html

upload-website: $(HTML)
	scp $(HTML) misc/style.css \
		gareuselesinge,syncmaildir@web.sourceforge.net:htdocs

upload-tarball: $(PROJECTNAME)-$(VERSION).tar.gz
	scp $< frs.sourceforge.net:uploads

## syncmaildir 0.9.11

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,57 @@
+# ----------------------------------------------------------------------------
+# These variables should not be changed by the regular user, only developers
+# should care about them
+
 PROJECTNAME=syncmaildir
-BINARIES=mddiff
-MANPAGES=mddiff.1 smd-server.1 smd-client.1 smd-pull.1 smd-push.1
+VERSION=0.9.11
+BINARIES=mddiff smd-applet
+MANPAGES=mddiff.1 smd-server.1 smd-client.1 \
+	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1
 HTML=index.html design.html
+DESTDIR=
+SF_FRS=/home/frs/project/s/sy/syncmaildir/syncmaildir
+SF_LOGIN=gareuselesinge,syncmaildir
+SF_WEB=htdocs
+
+# ----------------------------------------------------------------------------
+# These variables affect the programs behaviour and their installation;
+# they are meant to be overridden if necessary. See the end of this
+# file for some templates setting them.
+
 PREFIX=usr/local
-DESTDIR=
-VERSION=0.9.5
+SED=sed
+SHA1SUM=sha1sum
+XDELTA=xdelta
+CPN=cp -n
+SSH=ssh
+LUAV=5.1
+LUA=lua$(LUAV)
+CFLAGS=-O2 -Wall -Wextra -g
+PKG_FLAGS=
+
+# ----------------------------------------------------------------------------
+# Rules follow...
 
 all: check-build $(BINARIES) 
 
+%: %.vala Makefile 
+	echo "class SMDConf { \
+		public static const string PREFIX = \"/$(PREFIX)\"; \
+		public static const string VERSION = \"$(VERSION)\"; \
+		}" \
+		> config.vala
+	valac -o $@ $< config.vala --thread \
+		--pkg glib-2.0 --pkg gtk+-2.0 \
+		--pkg libnotify --pkg gconf-2.0 \
+		--pkg posix --pkg gee-1.0
+
 %: %.c
-	gcc -Wall -Wextra -g $< -o $@ \
-		`pkg-config --cflags --libs glib-2.0` \
-		`libgcrypt-config --cflags --libs`	
+	pkg-config --atleast-version=2.19.1 glib-2.0
+	gcc $(CFLAGS) $< -o $@ -DVERSION="$(VERSION)" \
+		`pkg-config $(PKG_FLAGS) --cflags --libs glib-2.0` 
 
-check-build: check-w-gcc
-check-run: check-w-lua5.1 check-w-bash 
+check-build: check-w-gcc check-w-valac
+check-run: check-w-$(LUA) check-w-bash 
 
 check-w-%:
 	@which $* > /dev/null || echo $* not found
@@ -42,7 +79,20 @@
 	txt2man -t $* -v "Sync Mail Dir (smd) documentation" -s 1 $< > $@
 
 define install-replacing
-	sed 's?@PREFIX@?/$(PREFIX)?' $(1) > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
+	cat $(1) |\
+		$(SED) 's?@PREFIX@?/$(PREFIX)?' |\
+		$(SED) 's?@SED@?$(SED)?'  |\
+		$(SED) 's?@SHA1SUM@?$(SHA1SUM)?' |\
+		$(SED) 's?@XDELTA@?$(XDELTA)?' |\
+		$(SED) 's?@CPN@?$(CPN)?' |\
+		$(SED) 's?@SSH@?$(SSH)?' |\
+		$(SED) 's?#! /usr/bin/env lua.*?#! /usr/bin/env $(LUA)?' |\
+		cat > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
+	if [ $(2) = "bin" ]; then chmod a+rx $(DESTDIR)/$(PREFIX)/$(2)/$(1); fi
+endef
+
+define install
+	cp $(1) $(DESTDIR)/$(PREFIX)/$(2)/$(1)
 	if [ $(2) = "bin" ]; then chmod a+rx $(DESTDIR)/$(PREFIX)/$(2)/$(1); fi
 endef
 
@@ -50,18 +100,29 @@
 	mkdir -p $(DESTDIR)/$(PREFIX)/$(1)
 endef
 
-install: $(BINARIES) $(MANPAGES)
+install: install-bin install-misc
+
+install-bin: $(BINARIES)
 	$(call mkdir-p,bin)
 	$(call mkdir-p,share/$(PROJECTNAME))
-	$(call mkdir-p,share/lua/5.1)
-	$(call mkdir-p,share/man/man1)
+	$(call mkdir-p,share/$(PROJECTNAME)-applet)
+	$(call mkdir-p,share/lua/$(LUAV))
 	cp $(BINARIES) $(DESTDIR)/$(PREFIX)/bin
 	$(call install-replacing,smd-server,bin)
 	$(call install-replacing,smd-client,bin)
 	$(call install-replacing,smd-pull,bin)
 	$(call install-replacing,smd-push,bin)
+	$(call install-replacing,smd-loop,bin)
 	$(call install-replacing,smd-common,share/$(PROJECTNAME))
-	$(call install-replacing,syncmaildir.lua,share/lua/5.1)
+	$(call install-replacing,syncmaildir.lua,share/lua/$(LUAV))
+
+install-misc: $(MANPAGES)
+	mkdir -p $(DESTDIR)/etc/xdg/autostart
+	cp smd-applet.desktop $(DESTDIR)/etc/xdg/autostart
+	$(call mkdir-p,share/applications)
+	$(call install,smd-applet-configure.desktop,share/applications)
+	$(call install,smd-applet.ui,share/$(PROJECTNAME)-applet)
+	$(call mkdir-p,share/man/man1)
 	cp $(MANPAGES) $(DESTDIR)/$(PREFIX)/share/man/man1
 
 clean: 
@@ -69,6 +130,7 @@
 	rm -rf test.[0-9]*/ 
 	rm -rf $(PROJECTNAME)-$(VERSION)/ $(PROJECTNAME)-$(VERSION).tar.gz
 	rm -f $(HTML)
+	rm -f config.vala
 
 dist $(PROJECTNAME)-$(VERSION).tar.gz:
 	$(MAKE) clean
@@ -87,9 +149,31 @@
 	cat misc/tail.html >> design.html
 
 upload-website: $(HTML)
-	scp $(HTML) misc/style.css \
-		gareuselesinge,syncmaildir@web.sourceforge.net:htdocs
+	scp $(HTML) misc/style.css $(SF_LOGIN)@web.sourceforge.net:$(SF_WEB)
 
 upload-tarball: $(PROJECTNAME)-$(VERSION).tar.gz
-	scp $< frs.sourceforge.net:uploads
+	scp $< $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
 
+
+# ----------------------------------------------------------------------------
+# These templates collect standard values for known platforms, like osx.
+# To use a template run make TEMPLATE/TARGET, for example:
+#   make osx/all && make osx/install
+# You may also combine templates. For example, to build only text mode
+# utilities on osx type:
+#   make osx/text/all && make osx/text/install
+
+text/%:
+	$(MAKE) $* \
+		BINARIES="$(subst smd-applet,,$(BINARIES))" \
+		MANPAGES="$(subst smd-applet.1,,$(MANPAGES))"
+
+static/%:
+	$(MAKE) $* \
+		CFLAGS="$(CFLAGS) -static " \
+		PKG_FLAGS="$(PKG_FLAGS) --static "
+
+osx/%:
+	$(MAKE) $* SED=sed CPN=cp 
+
+# eof

## syncmaildir 1.0.0

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,21 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=0.9.11
+VERSION=1.0.0
 BINARIES=mddiff smd-applet
 MANPAGES=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1
-HTML=index.html design.html
+HTML=index.html design.html hooks.html
 DESTDIR=
 SF_FRS=/home/frs/project/s/sy/syncmaildir/syncmaildir
-SF_LOGIN=gareuselesinge,syncmaildir
+SF_LOGIN=$(SF_USER),syncmaildir
 SF_WEB=htdocs
+TEST_SIZE=100
+TEST_MAILBOX=misc/Mail.TEST.tgz
+TEST_SUITES=mddiff client-server pull-push
+BENCH_SIZE=25000
+BENCH_MAILBOX=misc/Mail.BENCH.tgz
+BENCH_SUITES=benchmarks
 
 # ----------------------------------------------------------------------------
 # These variables affect the programs behaviour and their installation;
@@ -22,7 +28,8 @@
 SED=sed
 SHA1SUM=sha1sum
 XDELTA=xdelta
-CPN=cp -n
+MKFIFO=mkfifo
+MKDIR=mkdir -p
 SSH=ssh
 LUAV=5.1
 LUA=lua$(LUAV)
@@ -56,21 +63,32 @@
 check-w-%:
 	@which $* > /dev/null || echo $* not found
 
-test: all check-run misc/Mail.testcase.tgz
-	@tests.d/test.sh $T
-	@tests.d/check.sh
-	@rm -rf test.[0-9]*/
-
-misc/Mail.testcase.tgz: 
+test/%: text/all check-run $(TEST_MAILBOX)
+	@SUITES="$*" tests.d/test.sh $(TEST_MAILBOX) 
+
+test: text/all check-run $(TEST_MAILBOX)
+	@SUITES="$(TEST_SUITES)" tests.d/test.sh \
+		$(TEST_MAILBOX) $(addprefix $(shell pwd)/,$T)
+
+bench: text/all check-run $(BENCH_MAILBOX)
+	@SUITES="$(BENCH_SUITES)" tests.d/test.sh \
+		$(BENCH_MAILBOX) $(addprefix $(shell pwd)/,$T)
+
+misc/Mail.%.tgz:
 	$(MAKE) check-w-polygen
+	rm -rf Mail 
 	mkdir -p Mail/cur
-	for i in `seq 100`; do \
-		echo "Subject: `polygen /usr/share/polygen/eng/manager.grm`"\
-			>> Mail/cur/$$i; \
-		echo "Message-Id: $$i" >> Mail/cur/$$i; \
-		echo >> Mail/cur/$$i;\
-		polygen -X 10 /usr/share/polygen/eng/manager.grm\
-	       		>> Mail/cur/$$i;\
+	namea=Mail/cur/`date +%s`.$$$$;\
+	nameb=`hostname`;\
+	date=`date`;\
+	for i in `seq $$core $($*_SIZE) $$CORES`; do \
+		name=$${namea}_$$i.$$nameb;\
+		echo "Subject: foo-subject $$i" >> $$name; \
+		echo "Message-Id: $$i" >> $$name; \
+		echo "Date: $$date" >> $$name; \
+		echo "X-Foo: foo.foo.com" >> $$name; \
+		echo >> $$name;\
+		polygen -X 10 /usr/share/polygen/eng/manager.grm >> $$name;\
 	done
 	tar -czf $@ Mail
 	rm -rf Mail
@@ -84,8 +102,10 @@
 		$(SED) 's?@SED@?$(SED)?'  |\
 		$(SED) 's?@SHA1SUM@?$(SHA1SUM)?' |\
 		$(SED) 's?@XDELTA@?$(XDELTA)?' |\
-		$(SED) 's?@CPN@?$(CPN)?' |\
+		$(SED) 's?@MKFIFO@?$(MKFIFO)?' |\
+		$(SED) 's?@MKDIR@?$(MKDIR)?' |\
 		$(SED) 's?@SSH@?$(SSH)?' |\
+		$(SED) 's?@SMDVERSION@?$(VERSION)?' |\
 		$(SED) 's?#! /usr/bin/env lua.*?#! /usr/bin/env $(LUA)?' |\
 		cat > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
 	if [ $(2) = "bin" ]; then chmod a+rx $(DESTDIR)/$(PREFIX)/$(2)/$(1); fi
@@ -124,21 +144,20 @@
 	$(call install,smd-applet.ui,share/$(PROJECTNAME)-applet)
 	$(call mkdir-p,share/man/man1)
 	cp $(MANPAGES) $(DESTDIR)/$(PREFIX)/share/man/man1
+	$(call mkdir-p,share/doc/syncmaildir)
+	cp -r sample-hooks/ $(DESTDIR)/$(PREFIX)/share/doc/syncmaildir
+	$(call install,README,share/doc/syncmaildir)
 
 clean: 
-	rm -rf $(BINARIES) $(MANPAGES)
-	rm -rf test.[0-9]*/ 
-	rm -rf $(PROJECTNAME)-$(VERSION)/ $(PROJECTNAME)-$(VERSION).tar.gz
+	rm -f $(BINARIES) $(MANPAGES)
+	rm -rf tests.d/run
+	rm -f $(PROJECTNAME)-$(VERSION).tar.gz
 	rm -f $(HTML)
 	rm -f config.vala
 
 dist $(PROJECTNAME)-$(VERSION).tar.gz:
-	$(MAKE) clean
-	mkdir $(PROJECTNAME)-$(VERSION)
-	for X in *; do if [ $$X != $(PROJECTNAME)-$(VERSION) ]; then \
-		cp -r $$X $(PROJECTNAME)-$(VERSION); fi; done;
-	tar -cvzf $(PROJECTNAME)-$(VERSION).tar.gz $(PROJECTNAME)-$(VERSION)
-	rm -rf $(PROJECTNAME)-$(VERSION)
+	git archive --format=tar --prefix=$(PROJECTNAME)-$(VERSION)/ HEAD |\
+		gzip -9 > $(PROJECTNAME)-$(VERSION).tar.gz
 
 $(HTML): check-w-markdown
 	cat misc/head.html > index.html
@@ -147,12 +166,17 @@
 	cat misc/head.html > design.html
 	markdown DESIGN >> design.html
 	cat misc/tail.html >> design.html
+	cat misc/head.html > hooks.html
+	grep -h '^##' sample-hooks/* | sed 's/^## \?//' | markdown >> hooks.html
+	cat misc/tail.html >> hooks.html
 
 upload-website: $(HTML)
 	scp $(HTML) misc/style.css $(SF_LOGIN)@web.sourceforge.net:$(SF_WEB)
 
-upload-tarball: $(PROJECTNAME)-$(VERSION).tar.gz
-	scp $< $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
+upload-tarball-and-changelog: $(PROJECTNAME)-$(VERSION).tar.gz
+	scp $(PROJECTNAME)-$(VERSION).tar.gz \
+	       	$(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
+	scp ChangeLog $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/ChangeLog
 
 
 # ----------------------------------------------------------------------------
@@ -174,6 +198,11 @@
 		PKG_FLAGS="$(PKG_FLAGS) --static "
 
 osx/%:
-	$(MAKE) $* SED=sed CPN=cp 
+	$(MAKE) $* SED=sed 
+
+abspath/%:
+	$(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
+		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
+		MKFIFO=/usr/bin/mkfifo MKDIR='/bin/mkdir -p'
 
 # eof

=== debian/changelog ===
syncmaildir (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 15 Jun 2010 20:27:26 +0200

syncmaildir (0.9.16-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 12 Apr 2010 17:18:59 +0200

syncmaildir (0.9.15-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 23 Mar 2010 17:35:19 +0100

syncmaildir (0.9.14-1) unstable; urgency=low

  * Bumped standards-version to 3.8.4, not changes
  * New Upstream release, adding support for user defined hooks

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 12 Mar 2010 15:44:10 +0100

syncmaildir (0.9.13-1) unstable; urgency=low

  * New upstream release fixing a nasty bug

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 02 Mar 2010 17:54:26 +0100

syncmaildir (0.9.12-2) unstable; urgency=low

  * Build depend on moreutils >= 0.38, that support kFreeBSD

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 10 Feb 2010 10:50:10 +0100

syncmaildir (0.9.12-1) unstable; urgency=low

  * New upstream release
  * We use the abspath/ template for building: external utils are
    then executed with absolute paths

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 27 Dec 2009 13:34:45 +0100

syncmaildir (0.9.11-2) unstable; urgency=low

  * Moved to source format 3.0 (quilt) 
  * Moved to dh 
  * Run tests after building the package, thus lua5.1, xdelta and moreutils
    are build dependencies

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 Dec 2009 23:05:54 +0100

syncmaildir (0.9.11-1) unstable; urgency=low

  * New upstream release 
  * Bumped standards-version to 3.8.3, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 13 Nov 2009 23:52:20 +0100

syncmaildir (0.9.10-1) unstable; urgency=low

  *  New upsream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 03 Oct 2009 23:13:05 +0200

syncmaildir (0.9.9-1) unstable; urgency=low

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 27 Sep 2009 19:07:08 +0200

syncmaildir (0.9.8-1) unstable; urgency=low

  * New Upstream Version

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 16 Aug 2009 23:05:27 +0200

syncmaildir (0.9.7-1) unstable; urgency=low

  * New upstream minor bugfix release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 26 Jul 2009 18:56:41 +0200

syncmaildir (0.9.6-1) unstable; urgency=low

  * New Upstream Version
  * new binary package syncmaildir-applet
  * updated standards-version to 3.8.2, no changes
  * added gtk, libnotify, and gconf2 as build-depends 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 26 Jul 2009 17:38:46 +0200

syncmaildir (0.9.5-1) unstable; urgency=low

  * New Upstream Version
  * Improved description, thanks to Zack and Dato for their comments

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 28 Apr 2009 16:27:48 +0200

syncmaildir (0.9.3-1) unstable; urgency=low

  * New Upstream Version
  * Add watch file
  * Add pkg-config to build-depends

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Apr 2009 21:35:48 +0200

syncmaildir (0.9.2-2) unstable; urgency=low

  * Added txt2man to build-depends, thanks Andreas Tille for reporting it 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 20 Apr 2009 13:26:05 +0200

syncmaildir (0.9.2-1) unstable; urgency=low

  * Initial release. (Closes: #524834)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 19 Apr 2009 23:11:03 +0200

=== debian/control ===
Source: syncmaildir
Section: mail
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), valac (>= 0.7.4), libgtk2.0-dev, libnotify-dev, libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git
Homepage: http://syncmaildir.sourceforge.net

Package: syncmaildir
Architecture: any
Depends: lua5.1, openssh-client, xdelta, ${shlibs:Depends}, ${misc:Depends}
Description: Sync Mail Dir is a set of tools to synchronize Maildirs
 Sync Mail Dir is a set of utilities to synchronize a pair of mail boxes
 in Maildir format, using SSH to transfer data. It provides the smd-pull
 utility to pull changes made on the remote mailbox, smd-push to propagate
 local changes to the remote mailbox, smd-loop to iterate push and pull
 in a timely way.
 .
 The software is young and should thus be used with care in production
 environments.
 .
 Unlike OfflineIMAP It requires no IMAP server to be installed on the remote
 host. Moreover it never attempts to automatically resolve conflicts between
 incompatible mailbox statuses, it just notifies the user explaining how
 he can fix the problem.
 .
 Sync Mail Dir design is similar to the one of Maildirsync, but is more
 efficient in terms of CPU cycles and disk I/O.

Package: syncmaildir-applet
Architecture: any
Depends: syncmaildir (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libgnome2-0
Description: Sync Mail Dir GNOME applet
 Sync Mail Dir is a set of utilities to synchronize a pair of mail boxes
 in Maildir format, using SSH to transfer data. 
 .
 This package provides an applet that integrates smd-loop with GNOME, i.e.
 notifies the user with popups, starts smd-loop when the user logs in and
 provides a simple user interface to deal with synchronization errors.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

# I think this makes the application more robust in face of badly set
# PATH, since external programs are looked up with absolute paths. 
# On the contrary, it is less hackable by who knows what he is doing.
FLAVOUR=abspath/

override_dh_auto_build:
	$(MAKE) $(FLAVOUR)all PREFIX=usr
	
override_dh_auto_install:
	$(MAKE) $(FLAVOUR)install DESTDIR=debian/tmp PREFIX=usr

override_dh_auto_test:
	VALGRIND=" " $(MAKE) --no-print-directory $(FLAVOUR)test

## syncmaildir 1.1.4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.0.0
+VERSION=1.1.4
 BINARIES=mddiff smd-applet
 MANPAGES=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1
@@ -18,6 +18,11 @@
 BENCH_SIZE=25000
 BENCH_MAILBOX=misc/Mail.BENCH.tgz
 BENCH_SUITES=benchmarks
+PKGS_VALA=glib-2.0 gtk+-2.0 libnotify gconf-2.0 gee-1.0 gio-2.0
+MIN_GLIB_VERSION=2.19.1
+PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(MIN_GLIB_VERSION) glib-2.0
+PKGCONFIG_GLIB_VERSION=--modversion glib-2.0
+H=@
 
 # ----------------------------------------------------------------------------
 # These variables affect the programs behaviour and their installation;
@@ -33,45 +38,73 @@
 SSH=ssh
 LUAV=5.1
 LUA=lua$(LUAV)
-CFLAGS=-O2 -Wall -Wextra -g
+CFLAGS=-O2 -Wall -Wextra -Wcast-align -g -I .
+CFLAGS_VALA=-O2 -w -g -I . 
 PKG_FLAGS=
 
 # ----------------------------------------------------------------------------
 # Rules follow...
 
-all: check-build $(BINARIES) 
-
-%: %.vala Makefile 
-	echo "class SMDConf { \
-		public static const string PREFIX = \"/$(PREFIX)\"; \
-		public static const string VERSION = \"$(VERSION)\"; \
-		}" \
-		> config.vala
-	valac -o $@ $< config.vala --thread \
-		--pkg glib-2.0 --pkg gtk+-2.0 \
-		--pkg libnotify --pkg gconf-2.0 \
-		--pkg posix --pkg gee-1.0
-
-%: %.c
-	pkg-config --atleast-version=2.19.1 glib-2.0
-	gcc $(CFLAGS) $< -o $@ -DVERSION="$(VERSION)" \
+all: check-build update-smd-config $(BINARIES) 
+
+update-smd-config:
+	$H echo "#define SMD_CONF_PREFIX \"/$(PREFIX)\"" > smd-config.h.new
+	$H echo "#define SMD_CONF_VERSION \"$(VERSION)\"" >> smd-config.h.new
+	$H if diff -q smd-config.h smd-config.h.new > /dev/null 2>&1; then \
+		rm smd-config.h.new; \
+	else \
+		echo CONFIGURE smd-config.h; \
+		mv smd-config.h.new smd-config.h; \
+	fi
+
+smd-applet.c: smd-applet.vala smd-config.vapi
+	$H if which valac >/dev/null; then \
+		echo "VALAC $^"; \
+		valac -C $^ --thread \
+			--pkg posix $(patsubst %,--pkg %,$(PKGS_VALA)); \
+	elif [ -e smd-applet.c ]; then \
+		echo "** No valac, reusing precompiled .c files"; \
+		echo "** Changes to the following files will not be"; \
+		echo "** taken into account: $^"; \
+	else \
+		echo "** No valac and no precompiled .c files"; \
+		echo "** To compile smd-applet you need a vala compiler"; \
+		echo "** or the precompiled $@ file"; \
+		false; \
+	fi
+	$H touch $@
+
+mddiff: mddiff.c smd-config.h
+	@echo CC $<
+	$H $(CC) $(CFLAGS) $< -o $@ \
 		`pkg-config $(PKG_FLAGS) --cflags --libs glib-2.0` 
 
+smd-applet: smd-applet.c smd-config.h
+	@echo CC $<
+	$H $(CC) $(CFLAGS_VALA) $< -o $@ \
+		`pkg-config $(PKG_FLAGS) --cflags --libs $(PKGS_VALA)`
+
 check-build: check-w-gcc check-w-valac
+	$H pkg-config $(PKGCONFIG_CHECK_GLIB_VERSION) || \
+		(echo glib version too old: \
+			`pkg-config $(PKGCONFIG_GLIB_VERSION)`; \
+		 echo required version: $(MIN_GLIB_VERSION); \
+		 false)
+
 check-run: check-w-$(LUA) check-w-bash 
 
 check-w-%:
-	@which $* > /dev/null || echo $* not found
+	$H which $* > /dev/null || echo $* not found
 
 test/%: text/all check-run $(TEST_MAILBOX)
-	@SUITES="$*" tests.d/test.sh $(TEST_MAILBOX) 
+	$H SUITES="$*" tests.d/test.sh $(TEST_MAILBOX) 
 
 test: text/all check-run $(TEST_MAILBOX)
-	@SUITES="$(TEST_SUITES)" tests.d/test.sh \
+	$H SUITES="$(TEST_SUITES)" tests.d/test.sh \
 		$(TEST_MAILBOX) $(addprefix $(shell pwd)/,$T)
 
 bench: text/all check-run $(BENCH_MAILBOX)
-	@SUITES="$(BENCH_SUITES)" tests.d/test.sh \
+	$H SUITES="$(BENCH_SUITES)" tests.d/test.sh \
 		$(BENCH_MAILBOX) $(addprefix $(shell pwd)/,$T)
 
 misc/Mail.%.tgz:
@@ -149,15 +182,22 @@
 	$(call install,README,share/doc/syncmaildir)
 
 clean: 
-	rm -f $(BINARIES) $(MANPAGES)
-	rm -rf tests.d/run
+	$H rm -f $(BINARIES) $(MANPAGES)
+	$H rm -rf tests.d/run
+	$H rm -f $(PROJECTNAME)-$(VERSION).tar.gz
+	$H rm -f $(HTML)
+
+dist $(PROJECTNAME)-$(VERSION).tar.gz: smd-applet.c
 	rm -f $(PROJECTNAME)-$(VERSION).tar.gz
-	rm -f $(HTML)
-	rm -f config.vala
-
-dist $(PROJECTNAME)-$(VERSION).tar.gz:
-	git archive --format=tar --prefix=$(PROJECTNAME)-$(VERSION)/ HEAD |\
-		gzip -9 > $(PROJECTNAME)-$(VERSION).tar.gz
+	rm -f $(PROJECTNAME)-$(VERSION).tar
+	git archive --format=tar \
+		--prefix=$(PROJECTNAME)-$(VERSION)/ HEAD \
+		> $(PROJECTNAME)-$(VERSION).tar
+	tar --transform=s?^?$(PROJECTNAME)-$(VERSION)/? \
+		-r smd-applet.c \
+		--owner root --group root \
+		-f $(PROJECTNAME)-$(VERSION).tar
+	gzip -9 -f $(PROJECTNAME)-$(VERSION).tar
 
 $(HTML): check-w-markdown
 	cat misc/head.html > index.html
@@ -176,7 +216,7 @@
 upload-tarball-and-changelog: $(PROJECTNAME)-$(VERSION).tar.gz
 	scp $(PROJECTNAME)-$(VERSION).tar.gz \
 	       	$(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
-	scp ChangeLog $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/ChangeLog
+	scp ChangeLog $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/README
 
 
 # ----------------------------------------------------------------------------
@@ -190,19 +230,23 @@
 text/%:
 	$(MAKE) $* \
 		BINARIES="$(subst smd-applet,,$(BINARIES))" \
-		MANPAGES="$(subst smd-applet.1,,$(MANPAGES))"
+		MANPAGES="$(subst smd-applet.1,,$(MANPAGES))" \
+		PREFIX="$(PREFIX)"
 
 static/%:
 	$(MAKE) $* \
 		CFLAGS="$(CFLAGS) -static " \
-		PKG_FLAGS="$(PKG_FLAGS) --static "
+		PKG_FLAGS="$(PKG_FLAGS) --static " \
+		PREFIX="$(PREFIX)"
 
 osx/%:
-	$(MAKE) $* SED=sed 
+	$(MAKE) $* SED=sed PREFIX="$(PREFIX)"
 
 abspath/%:
 	$(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
 		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
-		MKFIFO=/usr/bin/mkfifo MKDIR='/bin/mkdir -p'
-
+		MKFIFO=/usr/bin/mkfifo MKDIR='/bin/mkdir -p' \
+		PREFIX="$(PREFIX)"
+
+.PHONY : update-smd-config
 # eof

=== debian/changelog ===
syncmaildir (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Bumped standards-version to 3.9.1, no changes 
  * Removed build-dependency on valac, the upstream ships precompiled c files
  * Pass PREFIX to "make test" too so that mddif does not get recompiled

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 04 Mar 2011 10:53:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), valac (>= 0.7.4), libgtk2.0-dev, libnotify-dev, libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk2.0-dev, libnotify-dev, libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
 Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git
 Homepage: http://syncmaildir.sourceforge.net

## syncmaildir 1.1.6

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.1.4
+VERSION=1.1.6
 BINARIES=mddiff smd-applet
 MANPAGES=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1
@@ -18,10 +18,12 @@
 BENCH_SIZE=25000
 BENCH_MAILBOX=misc/Mail.BENCH.tgz
 BENCH_SUITES=benchmarks
-PKGS_VALA=glib-2.0 gtk+-2.0 libnotify gconf-2.0 gee-1.0 gio-2.0
+PKG_GTK=gtk+-3.0 
+PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gconf-2.0 gee-1.0 gio-2.0
 MIN_GLIB_VERSION=2.19.1
 PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(MIN_GLIB_VERSION) glib-2.0
 PKGCONFIG_GLIB_VERSION=--modversion glib-2.0
+VALAC=valac-0.12
 H=@
 
 # ----------------------------------------------------------------------------
@@ -58,16 +60,16 @@
 	fi
 
 smd-applet.c: smd-applet.vala smd-config.vapi
-	$H if which valac >/dev/null; then \
+	$H if which $(VALAC) >/dev/null; then \
 		echo "VALAC $^"; \
-		valac -C $^ --thread \
+		$(VALAC) -C $^ --thread --vapidir=./ \
 			--pkg posix $(patsubst %,--pkg %,$(PKGS_VALA)); \
 	elif [ -e smd-applet.c ]; then \
-		echo "** No valac, reusing precompiled .c files"; \
+		echo "** No $(VALAC), reusing precompiled .c files"; \
 		echo "** Changes to the following files will not be"; \
 		echo "** taken into account: $^"; \
 	else \
-		echo "** No valac and no precompiled .c files"; \
+		echo "** No $(VALAC) and no precompiled .c files"; \
 		echo "** To compile smd-applet you need a vala compiler"; \
 		echo "** or the precompiled $@ file"; \
 		false; \
@@ -84,7 +86,7 @@
 	$H $(CC) $(CFLAGS_VALA) $< -o $@ \
 		`pkg-config $(PKG_FLAGS) --cflags --libs $(PKGS_VALA)`
 
-check-build: check-w-gcc check-w-valac
+check-build: check-w-gcc check-w-$(VALAC)
 	$H pkg-config $(PKGCONFIG_CHECK_GLIB_VERSION) || \
 		(echo glib version too old: \
 			`pkg-config $(PKGCONFIG_GLIB_VERSION)`; \

=== debian/changelog ===
syncmaildir (1.1.6-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Jul 2011 17:28:58 +0200

syncmaildir (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Updated build-depends to gtk-3-dev 
  * Updated build-depends to libnotyfy4 (>= 0.7.0)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 03 Jul 2011 21:19:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk2.0-dev, libnotify-dev, libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
+Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev (>= 0.7), libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
 Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 FLAVOUR=abspath/
 
 override_dh_auto_build:
-	$(MAKE) $(FLAVOUR)all PREFIX=usr
+	$(MAKE) $(FLAVOUR)all PREFIX=usr H=
 	
 override_dh_auto_install:
-	$(MAKE) $(FLAVOUR)install DESTDIR=debian/tmp PREFIX=usr
+	$(MAKE) $(FLAVOUR)install DESTDIR=debian/tmp PREFIX=usr H=
 
 override_dh_auto_test:
-	VALGRIND=" " $(MAKE) --no-print-directory $(FLAVOUR)test
+	VALGRIND=" " $(MAKE) --no-print-directory $(FLAVOUR)test PREFIX=usr H=

## syncmaildir 1.2.1

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,12 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.1.6
+VERSION=1.2.1
 BINARIES=mddiff smd-applet
-MANPAGES=mddiff.1 smd-server.1 smd-client.1 \
-	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1
+MANPAGES1=mddiff.1 smd-server.1 smd-client.1 \
+	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1 smd-translate.1 \
+	 smd-check-conf.1
+MANPAGES5=smd-config.5
 HTML=index.html design.html hooks.html
 DESTDIR=
 SF_FRS=/home/frs/project/s/sy/syncmaildir/syncmaildir
@@ -19,11 +21,12 @@
 BENCH_MAILBOX=misc/Mail.BENCH.tgz
 BENCH_SUITES=benchmarks
 PKG_GTK=gtk+-3.0 
+SMD_APPLET_C=smd-applet.c 
 PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gconf-2.0 gee-1.0 gio-2.0
 MIN_GLIB_VERSION=2.19.1
 PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(MIN_GLIB_VERSION) glib-2.0
 PKGCONFIG_GLIB_VERSION=--modversion glib-2.0
-VALAC=valac-0.12
+VALAC=valac-0.14
 H=@
 
 # ----------------------------------------------------------------------------
@@ -38,6 +41,7 @@
 MKFIFO=mkfifo
 MKDIR=mkdir -p
 SSH=ssh
+LN=ln -s
 LUAV=5.1
 LUA=lua$(LUAV)
 CFLAGS=-O2 -Wall -Wextra -Wcast-align -g -I .
@@ -81,7 +85,7 @@
 	$H $(CC) $(CFLAGS) $< -o $@ \
 		`pkg-config $(PKG_FLAGS) --cflags --libs glib-2.0` 
 
-smd-applet: smd-applet.c smd-config.h
+smd-applet: $(SMD_APPLET_C) smd-config.h
 	@echo CC $<
 	$H $(CC) $(CFLAGS_VALA) $< -o $@ \
 		`pkg-config $(PKG_FLAGS) --cflags --libs $(PKGS_VALA)`
@@ -103,7 +107,7 @@
 
 test: text/all check-run $(TEST_MAILBOX)
 	$H SUITES="$(TEST_SUITES)" tests.d/test.sh \
-		$(TEST_MAILBOX) $(addprefix $(shell pwd)/,$T)
+		$(TEST_MAILBOX) $(if $(T),$(addprefix $(shell pwd)/,tests.d/$T))
 
 bench: text/all check-run $(BENCH_MAILBOX)
 	$H SUITES="$(BENCH_SUITES)" tests.d/test.sh \
@@ -130,6 +134,8 @@
 
 %.1:%.1.txt check-w-txt2man
 	txt2man -t $* -v "Sync Mail Dir (smd) documentation" -s 1 $< > $@
+%.5:%.5.txt check-w-txt2man
+	txt2man -t $* -v "Sync Mail Dir (smd) documentation" -s 5 $< > $@
 
 define install-replacing
 	cat $(1) |\
@@ -140,6 +146,7 @@
 		$(SED) 's?@MKFIFO@?$(MKFIFO)?' |\
 		$(SED) 's?@MKDIR@?$(MKDIR)?' |\
 		$(SED) 's?@SSH@?$(SSH)?' |\
+		$(SED) 's?@LN@?$(LN)?' |\
 		$(SED) 's?@SMDVERSION@?$(VERSION)?' |\
 		$(SED) 's?#! /usr/bin/env lua.*?#! /usr/bin/env $(LUA)?' |\
 		cat > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
@@ -167,27 +174,32 @@
 	$(call install-replacing,smd-client,bin)
 	$(call install-replacing,smd-pull,bin)
 	$(call install-replacing,smd-push,bin)
+	$(call install-replacing,smd-translate,bin)
+	$(call install-replacing,smd-check-conf,bin)
 	$(call install-replacing,smd-loop,bin)
 	$(call install-replacing,smd-common,share/$(PROJECTNAME))
 	$(call install-replacing,syncmaildir.lua,share/lua/$(LUAV))
 
-install-misc: $(MANPAGES)
+install-misc: $(MANPAGES1) $(MANPAGES5)
 	mkdir -p $(DESTDIR)/etc/xdg/autostart
 	cp smd-applet.desktop $(DESTDIR)/etc/xdg/autostart
 	$(call mkdir-p,share/applications)
 	$(call install,smd-applet-configure.desktop,share/applications)
 	$(call install,smd-applet.ui,share/$(PROJECTNAME)-applet)
 	$(call mkdir-p,share/man/man1)
-	cp $(MANPAGES) $(DESTDIR)/$(PREFIX)/share/man/man1
+	$(call mkdir-p,share/man/man5)
+	cp $(MANPAGES1) $(DESTDIR)/$(PREFIX)/share/man/man1
+	cp $(MANPAGES5) $(DESTDIR)/$(PREFIX)/share/man/man5
 	$(call mkdir-p,share/doc/syncmaildir)
 	cp -r sample-hooks/ $(DESTDIR)/$(PREFIX)/share/doc/syncmaildir
 	$(call install,README,share/doc/syncmaildir)
 
 clean: 
-	$H rm -f $(BINARIES) $(MANPAGES)
+	$H rm -f $(BINARIES) $(MANPAGES1) $(MANPAGES5)
 	$H rm -rf tests.d/run
 	$H rm -f $(PROJECTNAME)-$(VERSION).tar.gz
-	$H rm -f $(HTML)
+	$H rm -f $(HTML) $(MANPAGES1:=.html) $(MANPAGES5:=.html)
+	$H rm -f misc/smd-applet-1.0.0.c
 
 dist $(PROJECTNAME)-$(VERSION).tar.gz: smd-applet.c
 	rm -f $(PROJECTNAME)-$(VERSION).tar.gz
@@ -212,14 +224,29 @@
 	grep -h '^##' sample-hooks/* | sed 's/^## \?//' | markdown >> hooks.html
 	cat misc/tail.html >> hooks.html
 
-upload-website: $(HTML)
-	scp $(HTML) misc/style.css $(SF_LOGIN)@web.sourceforge.net:$(SF_WEB)
+%.html:%.txt
+	cat misc/head.html > $@
+	echo '<pre>' >> $@
+	cat $< | sed -e '/^AUTHOR/,$$d' >> $@
+	echo '</pre>' >> $@
+	cat misc/tail.html >> $@
+
+upload-website: $(HTML) $(MANPAGES1:%=%.html) $(MANPAGES5:%=%.html)
+	scp $? misc/style.css \
+		$(SF_LOGIN)@web.sourceforge.net:$(SF_WEB)
 
 upload-tarball-and-changelog: $(PROJECTNAME)-$(VERSION).tar.gz
 	scp $(PROJECTNAME)-$(VERSION).tar.gz \
 	       	$(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
 	scp ChangeLog $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/README
 
+stats:
+	T=`git tag | sort -V | head -n 1`; \
+	for V in `git tag | sort -V | tail -n +2`; do \
+		echo $$V; \
+		git diff $$T $$V | diffstat -s; T=$$V; \
+	done;\
+	git diff --no-prefix $$V HEAD | diffstat -C
 
 # ----------------------------------------------------------------------------
 # These templates collect standard values for known platforms, like osx.
@@ -230,25 +257,31 @@
 #   make osx/text/all && make osx/text/install
 
 text/%:
-	$(MAKE) $* \
+	$H $(MAKE) $* \
 		BINARIES="$(subst smd-applet,,$(BINARIES))" \
-		MANPAGES="$(subst smd-applet.1,,$(MANPAGES))" \
-		PREFIX="$(PREFIX)"
+		MANPAGES1="$(subst smd-applet.1,,$(MANPAGES1))" \
+		PREFIX="$(PREFIX)" VALAC=ls H=$H
 
 static/%:
-	$(MAKE) $* \
+	$H $(MAKE) $* \
 		CFLAGS="$(CFLAGS) -static " \
 		PKG_FLAGS="$(PKG_FLAGS) --static " \
-		PREFIX="$(PREFIX)"
+		PREFIX="$(PREFIX)" H=$H
+
+gnome2/%:
+	$H gunzip -c misc/smd-applet-1.0.0.c.gz > misc/smd-applet-1.0.0.c
+	$H $(MAKE) $* \
+		SMD_APPLET_C=misc/smd-applet-1.0.0.c PKG_GTK=gtk+-2.0
+
 
 osx/%:
-	$(MAKE) $* SED=sed PREFIX="$(PREFIX)"
+	$H $(MAKE) $* SED=sed PREFIX="$(PREFIX)" H=$H
 
 abspath/%:
-	$(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
+	$H $(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
 		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
 		MKFIFO=/usr/bin/mkfifo MKDIR='/bin/mkdir -p' \
-		PREFIX="$(PREFIX)"
+		LN='/bin/ln -s' PREFIX="$(PREFIX)" H=$H
 
 .PHONY : update-smd-config
 # eof

=== debian/changelog ===
syncmaildir (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 10 Sep 2011 16:15:51 +0200

syncmaildir (1.2.0-1) unstable; urgency=low

  * New upstream release supporting folder renaming

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 07 Sep 2011 11:02:36 +0200

## syncmaildir 1.2.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.2.1
+VERSION=1.2.2
+COPYRIGHT=© 2008-2011 Enrico Tassi <gares@fettunta.org>
 BINARIES=mddiff smd-applet
 MANPAGES1=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1 smd-translate.1 \
@@ -36,12 +37,8 @@
 
 PREFIX=usr/local
 SED=sed
-SHA1SUM=sha1sum
 XDELTA=xdelta
-MKFIFO=mkfifo
-MKDIR=mkdir -p
 SSH=ssh
-LN=ln -s
 LUAV=5.1
 LUA=lua$(LUAV)
 CFLAGS=-O2 -Wall -Wextra -Wcast-align -g -I .
@@ -56,6 +53,8 @@
 update-smd-config:
 	$H echo "#define SMD_CONF_PREFIX \"/$(PREFIX)\"" > smd-config.h.new
 	$H echo "#define SMD_CONF_VERSION \"$(VERSION)\"" >> smd-config.h.new
+	$H echo "#define SMD_CONF_COPYRIGHT \"$(COPYRIGHT)\"" \
+		>> smd-config.h.new
 	$H if diff -q smd-config.h smd-config.h.new > /dev/null 2>&1; then \
 		rm smd-config.h.new; \
 	else \
@@ -141,12 +140,8 @@
 	cat $(1) |\
 		$(SED) 's?@PREFIX@?/$(PREFIX)?' |\
 		$(SED) 's?@SED@?$(SED)?'  |\
-		$(SED) 's?@SHA1SUM@?$(SHA1SUM)?' |\
 		$(SED) 's?@XDELTA@?$(XDELTA)?' |\
-		$(SED) 's?@MKFIFO@?$(MKFIFO)?' |\
-		$(SED) 's?@MKDIR@?$(MKDIR)?' |\
 		$(SED) 's?@SSH@?$(SSH)?' |\
-		$(SED) 's?@LN@?$(LN)?' |\
 		$(SED) 's?@SMDVERSION@?$(VERSION)?' |\
 		$(SED) 's?#! /usr/bin/env lua.*?#! /usr/bin/env $(LUA)?' |\
 		cat > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
@@ -278,10 +273,9 @@
 	$H $(MAKE) $* SED=sed PREFIX="$(PREFIX)" H=$H
 
 abspath/%:
-	$H $(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
+	$H $(MAKE) $* SED=/bin/sed \
 		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
-		MKFIFO=/usr/bin/mkfifo MKDIR='/bin/mkdir -p' \
-		LN='/bin/ln -s' PREFIX="$(PREFIX)" H=$H
+		PREFIX="$(PREFIX)" H=$H
 
 .PHONY : update-smd-config
 # eof

=== debian/changelog ===
syncmaildir (1.2.2-1ubuntu1) precise; urgency=low

  * Fix FTBFS with libgthread linking.

 -- Allison Randal <allison@canonical.com>  Tue, 13 Dec 2011 07:43:14 +0100

syncmaildir (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 01 Dec 2011 16:17:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: syncmaildir
 Section: mail
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev (>= 0.7), libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git

## syncmaildir 1.2.5

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.2.2
-COPYRIGHT=© 2008-2011 Enrico Tassi <gares@fettunta.org>
+VERSION=1.2.5
+COPYRIGHT=© 2008-2012 Enrico Tassi <gares@fettunta.org>
 BINARIES=mddiff smd-applet
 MANPAGES1=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1 smd-translate.1 \
-	 smd-check-conf.1
+	 smd-check-conf.1 smd-restricted-shell.1 smd-uniform-names.1
 MANPAGES5=smd-config.5
 HTML=index.html design.html hooks.html
 DESTDIR=
@@ -17,17 +17,17 @@
 SF_WEB=htdocs
 TEST_SIZE=100
 TEST_MAILBOX=misc/Mail.TEST.tgz
-TEST_SUITES=mddiff client-server pull-push
+TEST_SUITES=mddiff client-server pull-push migration
 BENCH_SIZE=25000
 BENCH_MAILBOX=misc/Mail.BENCH.tgz
 BENCH_SUITES=benchmarks
 PKG_GTK=gtk+-3.0 
 SMD_APPLET_C=smd-applet.c 
 PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gconf-2.0 gee-1.0 gio-2.0
-MIN_GLIB_VERSION=2.19.1
-PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(MIN_GLIB_VERSION) glib-2.0
+TARGET_GLIB=2.32
+PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(TARGET_GLIB) glib-2.0
 PKGCONFIG_GLIB_VERSION=--modversion glib-2.0
-VALAC=valac-0.14
+VALAC=valac-0.16
 H=@
 
 # ----------------------------------------------------------------------------
@@ -41,8 +41,7 @@
 SSH=ssh
 LUAV=5.1
 LUA=lua$(LUAV)
-CFLAGS=-O2 -Wall -Wextra -Wcast-align -g -I .
-CFLAGS_VALA=-O2 -w -g -I . 
+CFLAGS=-O2 -Wall -Wextra -Wcast-align -g
 PKG_FLAGS=
 
 # ----------------------------------------------------------------------------
@@ -66,6 +65,7 @@
 	$H if which $(VALAC) >/dev/null; then \
 		echo "VALAC $^"; \
 		$(VALAC) -C $^ --thread --vapidir=./ \
+			--target-glib=$(TARGET_GLIB) \
 			--pkg posix $(patsubst %,--pkg %,$(PKGS_VALA)); \
 	elif [ -e smd-applet.c ]; then \
 		echo "** No $(VALAC), reusing precompiled .c files"; \
@@ -82,18 +82,19 @@
 mddiff: mddiff.c smd-config.h
 	@echo CC $<
 	$H $(CC) $(CFLAGS) $< -o $@ \
-		`pkg-config $(PKG_FLAGS) --cflags --libs glib-2.0` 
+		`pkg-config $(PKG_FLAGS) --cflags --libs glib-2.0` $(LDFLAGS)
 
 smd-applet: $(SMD_APPLET_C) smd-config.h
 	@echo CC $<
-	$H $(CC) $(CFLAGS_VALA) $< -o $@ \
-		`pkg-config $(PKG_FLAGS) --cflags --libs $(PKGS_VALA)`
+	$H $(CC) $(CFLAGS) -w $< -o $@ \
+		`pkg-config $(PKG_FLAGS) --cflags --libs $(PKGS_VALA)` \
+		$(LDFLAGS)
 
 check-build: check-w-gcc check-w-$(VALAC)
 	$H pkg-config $(PKGCONFIG_CHECK_GLIB_VERSION) || \
 		(echo glib version too old: \
 			`pkg-config $(PKGCONFIG_GLIB_VERSION)`; \
-		 echo required version: $(MIN_GLIB_VERSION); \
+		 echo required version: $(TARGET_GLIB); \
 		 false)
 
 check-run: check-w-$(LUA) check-w-bash 
@@ -171,15 +172,17 @@
 	$(call install-replacing,smd-push,bin)
 	$(call install-replacing,smd-translate,bin)
 	$(call install-replacing,smd-check-conf,bin)
+	$(call install-replacing,smd-uniform-names,bin)
+	$(call install-replacing,smd-restricted-shell,bin)
 	$(call install-replacing,smd-loop,bin)
 	$(call install-replacing,smd-common,share/$(PROJECTNAME))
 	$(call install-replacing,syncmaildir.lua,share/lua/$(LUAV))
 
 install-misc: $(MANPAGES1) $(MANPAGES5)
 	mkdir -p $(DESTDIR)/etc/xdg/autostart
-	cp smd-applet.desktop $(DESTDIR)/etc/xdg/autostart
 	$(call mkdir-p,share/applications)
 	$(call install,smd-applet-configure.desktop,share/applications)
+	$(call install,smd-applet.desktop,share/applications)
 	$(call install,smd-applet.ui,share/$(PROJECTNAME)-applet)
 	$(call mkdir-p,share/man/man1)
 	$(call mkdir-p,share/man/man5)
@@ -255,27 +258,31 @@
 	$H $(MAKE) $* \
 		BINARIES="$(subst smd-applet,,$(BINARIES))" \
 		MANPAGES1="$(subst smd-applet.1,,$(MANPAGES1))" \
-		PREFIX="$(PREFIX)" VALAC=ls H=$H
+		PREFIX="$(PREFIX)" VALAC=ls H=$H \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 static/%:
 	$H $(MAKE) $* \
 		CFLAGS="$(CFLAGS) -static " \
 		PKG_FLAGS="$(PKG_FLAGS) --static " \
-		PREFIX="$(PREFIX)" H=$H
+		PREFIX="$(PREFIX)" H=$H LDFLAGS="$(LDFLAGS)"
 
 gnome2/%:
 	$H gunzip -c misc/smd-applet-1.0.0.c.gz > misc/smd-applet-1.0.0.c
 	$H $(MAKE) $* \
-		SMD_APPLET_C=misc/smd-applet-1.0.0.c PKG_GTK=gtk+-2.0
+		SMD_APPLET_C=misc/smd-applet-1.0.0.c PKG_GTK=gtk+-2.0 \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" TARGET_GLIB="2.19.1"
 
 
 osx/%:
-	$H $(MAKE) $* SED=sed PREFIX="$(PREFIX)" H=$H
+	$H $(MAKE) $* SED=sed PREFIX="$(PREFIX)" H=$H \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 abspath/%:
 	$H $(MAKE) $* SED=/bin/sed \
 		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
-		PREFIX="$(PREFIX)" H=$H
+		PREFIX="$(PREFIX)" H=$H \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 .PHONY : update-smd-config
 # eof

=== debian/changelog ===
syncmaildir (1.2.5-2) unstable; urgency=low

  * Fix FTBFS (Closes: #713648) linking to gthread2 explicitly

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 23 Jun 2013 19:47:23 +0200

syncmaildir (1.2.5-1) unstable; urgency=low

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Jun 2012 12:15:44 +0200

syncmaildir (1.2.4-1) unstable; urgency=low

  * New upstream release
  * NEWS.Debian announces that smd-applet is able to handle XDG compliant
    autostrat in user's session (no more system wide)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 28 May 2012 19:39:23 +0200

syncmaildir (1.2.3-1) unstable; urgency=low

  * New upstream release including the new utility smd-restricted-shell to
    be used in conjunction with .ssh/authorized_keys command option
  * This version of the software emits progress reports when run in verbose
    mode (Closes: #659263)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 03 Mar 2012 12:55:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: syncmaildir
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev (>= 0.7), libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
 Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git
 Homepage: http://syncmaildir.sourceforge.net
@@ -32,7 +31,7 @@
 
 Package: syncmaildir-applet
 Architecture: any
-Depends: syncmaildir (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libgnome2-0
+Depends: syncmaildir (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Sync Mail Dir GNOME applet
  Sync Mail Dir is a set of utilities to synchronize a pair of mail boxes
  in Maildir format, using SSH to transfer data.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package syncmaildir
#
version=3
opts="uversionmangle=s/rc$/~rc/" \
  http://sf.net/syncmaildir/syncmaildir-(.+).tar.gz
